DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# DataTypeArrayFind

Find value in array

## SYNOPSIS

dip_Error dip_DataTypeArrayFind ( array, value, index, found )

## FUNCTION

Finds a value in an array and "returns" its index in the array. If `found` is zero, `DataTypeArrayFind` will produce an error if `value` is not found, otherwise `found` obtains the search result (`DIP_FALSE` if `value` is not found).

## ARGUMENTS

Data type | Name | Description
`dip_DataTypeArray` | `array` | Array to find value in
`dip_DataType` | `value` | Value to find
`dip_int *` | `index` | Index of the found value
`dip_Boolean *` | `found` | Value found or not

## SEE ALSO

DIPlib's data types

`DataTypeArrayNew`, `DataTypeArrayFree`, `DataTypeArrayCopy`, `DataTypeArrayFind`

`IntegerArrayFind`, `FloatArrayFind`, `ComplexArrayFind`, `DataTypeArrayFind`, `BooleanArrayFind`, `VoidPointerArrayFind`